module OW_parms_slt

use sep
use OW_type

implicit none

logical                                                     :: adj
type (axis) ,public, save				:: xm, z, sh, th
type (mod_grid)	 ,public, save			:: img
type (velo) ,public, save				:: v
integer	 ,public, save				:: node

contains

subroutine owparam()

call from_param("adj",adj,.true.)
call from_param("node",node,9999)

 call from_aux("vel","n1",v%z%n);	call from_aux("vel","d1",v%z%d);	call from_aux("vel","o1",v%z%o)
 call from_aux("vel","n2",v%xm%n);	call from_aux("vel","d2",v%xm%d);	call from_aux("vel","o2",v%xm%o)

 if (adj) then
    call from_aux("R_image","n1",img%z%n);call from_aux("R_image","d1",img%z%d);call from_aux("R_image","o1",img%z%o)
    call from_aux("R_image","n2",img%th%n);call from_aux("R_image","d2",img%th%d);call from_aux("R_image","o2",img%th%o)
    call from_aux("R_image","n3",img%xm%n);call from_aux("R_image","d3",img%xm%d);call from_aux("R_image","o3",img%xm%o)  
    call from_param("nh",img%sh%n);call from_param("dh",img%sh%d);call from_param("oh",img%sh%o)
    call to_history("n1",img%z%n,"B_image") ; call to_history("d1",img%z%d,"B_image") ; call to_history("o1",img%z%o,"B_image")
    call to_history("n2",img%sh%n,"B_image") ; call to_history("d2",img%sh%d,"B_image") ; call to_history("o2",img%sh%o,"B_image")
    call to_history("n3",img%xm%n,"B_image"); call to_history("d3",img%xm%d,"B_image"); call to_history("o3",img%xm%o,"B_image")  
 else
    call from_aux("R_image","n1",img%z%n);call from_aux("R_image","d1",img%z%d);call from_aux("R_image","o1",img%z%o)
    call from_aux("R_image","n2",img%sh%n);call from_aux("R_image","d2",img%sh%d);call from_aux("R_image","o2",img%sh%o)
    call from_aux("R_image","n3",img%xm%n);call from_aux("R_image","d3",img%xm%d);call from_aux("R_image","o3",img%xm%o)  
    call from_param("nt",img%th%n);call from_param("dt",img%th%d);call from_param("ot",img%th%o)
    call to_history("n1",img%z%n,"B_image") ; call to_history("d1",img%z%d,"B_image") ; call to_history("o1",img%z%o,"B_image")
    call to_history("n2",img%th%n,"B_image") ; call to_history("d2",img%th%d,"B_image") ; call to_history("o2",img%th%o,"B_image")
    call to_history("n3",img%xm%n,"B_image"); call to_history("d3",img%xm%d,"B_image"); call to_history("o3",img%xm%o,"B_image")  
 end if

end subroutine
end module
